Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.atomikos.v200510
Class CascadeInfoType

    java.lang.Object
      com.atomikos.icatch.jaxb.atomikos.v200510.CascadeInfoType

    public class CascadeInfoType

extends Object

Java class for CascadeInfoType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CascadeInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Participant" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
             <element name="InvocationCount" type="{http://www.w3.org/2001/XMLSchema}integer"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected BigInteger` | `invocationCount`
`protected String` | `participant`

Constructor Summary
`CascadeInfoType()`

Method Summary
`BigInteger` | `getInvocationCount()` Gets the value of the invocationCount property.
`String` | `getParticipant()` Gets the value of the participant property.
`void` | `setInvocationCount(BigInteger value)` Sets the value of the invocationCount property.
`void` | `setParticipant(String value)` Sets the value of the participant property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### participant

    protected String participant

### invocationCount

    protected BigInteger invocationCount

Constructor Detail

### CascadeInfoType

    public CascadeInfoType()

Method Detail

### getParticipant

    public String getParticipant()

  Gets the value of the participant property.

  Returns:
    possible object is `String`

### setParticipant

    public void setParticipant(String value)

  Sets the value of the participant property.

  Parameters:
    `value` - allowed object is `String`

### getInvocationCount

    public BigInteger getInvocationCount()

  Gets the value of the invocationCount property.

  Returns:
    possible object is `BigInteger`

### setInvocationCount

    public void setInvocationCount(BigInteger value)

  Sets the value of the invocationCount property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.